Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.backport.java.util.concurrent
Class ExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.emory.mathcs.backport.java.util.concurrent.ExecutionException

All Implemented Interfaces:
  java.io.Serializable

public class ExecutionException
extends java.lang.Exception

Exception thrown when attempting to retrieve the result of a task that aborted by throwing an exception. This exception can be inspected using the `Throwable.getCause()` method.

Since:
  1.5
Author:
  Doug Lea
See Also:
  `Future`, Serialized Form

Constructor Summary
`protected` | `ExecutionException()` Constructs an `ExecutionException` with no detail message.
`protected` | `ExecutionException(java.lang.String message)` Constructs an `ExecutionException` with the specified detail message.
`` | `ExecutionException(java.lang.String message, java.lang.Throwable cause)` Constructs an `ExecutionException` with the specified detail message and cause.
`` | `ExecutionException(java.lang.Throwable cause)` Constructs an `ExecutionException` with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionException

    protected ExecutionException()

  Constructs an `ExecutionException` with no detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

### ExecutionException

    protected ExecutionException(java.lang.String message)

  Constructs an `ExecutionException` with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

Parameters:
  `message` - the detail message

### ExecutionException

    public ExecutionException(java.lang.String message,
                              java.lang.Throwable cause)

  Constructs an `ExecutionException` with the specified detail message and cause.

Parameters:
  `message` - the detail message
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

### ExecutionException

    public ExecutionException(java.lang.Throwable cause)

  Constructs an `ExecutionException` with the specified cause. The detail message is set to:

        (cause == null ? null : cause.toString())

  (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD